SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



-- SQL CODE HERE



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Fix

INSERT INTO INPS_ALIQUOTAADDIZ (IDALIQUOTAADDIZ, VALORE, VALIDODAL, VALIDOAL, DESCRIZIONE, IDCARICO) VALUES ('3', '-0.020000', '01.07.2022', '31.12.2022', 'Decontribuzione 2 %', '2');

COMMIT WORK; -- skip error

-- END Fix



-- Istato foi dicembre 2022

INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2022', '12', '118.200000', '2015');

COMMIT WORK;



-- Correzione voce commento fringe benefits



UPDATE ELEMENTORETRIBUTIVO SET IRPEF = NULL WHERE IDELEMENTO = 7111;

COMMIT WORK; -- skip error



-- Contributo solidarietà ART1 e EBNA-P1

---- Richiesto da Fabrizio Piacenza (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12709)

---- ART1 = 1,04

---- EBNA-P1 = 0,69

UPDATE INPS_CODCONVVALORE SET IMPORTOCONTRIBSOL = '1.040000' WHERE IDCODCONV = 'ART1' AND IDINPSCONTRATTO = '-1' AND IDREGIONE = '00' AND VALIDODAL = '01.01.1900';

COMMIT WORK; -- skip error

UPDATE INPS_CODCONVVALORE SET IMPORTOCONTRIBSOL = '0.690000' WHERE IDCODCONV = 'EBNA-P1' AND IDINPSCONTRATTO = '-1' AND IDREGIONE = '01' AND VALIDODAL = '01.01.2022';

COMMIT WORK; -- skip error

-- END Contributo solidarietà ART1 e EBNA-P1



-- Fix nota contabile

---- Meccanica finanziaria (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12705)

UPDATE ELEMENTORETRIBUTIVO SET GRUPPO = 1 WHERE IDELEMENTO = 7101;

COMMIT WORK; -- skip error

-- END Fix nota contabile



-- Malattia settore tessile

---- Richiesto da DGS Immobiliare (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12769)



INSERT INTO TIPOCALCOLOMALATTIA1 (IDTIPOMALATTIA1, DESCRIZIONE, DESCRIZIONE2) VALUES ('26', 'Operai - Tessile', 'Integrazione dell''indennità INPS all''80% della retribuzione normale di fatto dal 1° al 7° giorno di assenza. Tale trattamento non verrà corrisposto nei primi 3 giorni per malattia di durata inferiore a 8 giorni di calendario; al 100% della retribuzione normale di fatto netta dall’8° al 180° giorno di assenza. Tale trattamento verrà corrisposto dal 1° giorno di assenza qualora la malattia superi 21 giorni di calendario');

COMMIT WORK; -- skip error



INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE, CUSTOM) VALUES ('1459', '14', '3', '0', NULL, NULL, NULL, 'Malattia ditta 80%', 'Malattia ditta 80%', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, '1', NULL, '1', NULL, '0');

COMMIT WORK; -- skip error



-- END Malattia settore tessile



-- END Correzione voce commento fringe benefits



-- Aggiornamento dettaglio 187

---- Richiesto da FK Audit (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12721)



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', 'Q', '8', '06.07.2020', '2699.840000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', '1', '8', '06.07.2020', '2248.080000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', '2', '8', '06.07.2020', '2012.440000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', '3', '8', '06.07.2020', '1793.110000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', '4', '8', '06.07.2020', '1618.750000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', '5', '8', '06.07.2020', '1510.980000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', '6', '8', '06.07.2020', '1407.900000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', '7', '8', '06.07.2020', '1283.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', 'Op.1', '8', '06.07.2020', '1561.200000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('187', 'Op.2', '8', '06.07.2020', '1390.280000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.07.2020');

COMMIT WORK;



INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('187', '9', 'Op.1', NULL, NULL, NULL, NULL, '36', '15.490000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('187', '10', 'Op.2', NULL, NULL, NULL, NULL, '36', '14.460000', NULL, NULL, NULL, '');

COMMIT WORK;



-- END Aggiornamento dettaglio 187



-- Aggiornamento dettaglio 18 (decorrenza 01/05/2022)

---- Richiesto da Rossi Service (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12792)

---- Il documento con i contratti da aggiornare lo ha inviato a info@iubar.it



---- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '7Q', '5', '01.05.2022', '1911.460000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '7', '5', '01.05.2022', '1911.460000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '6', '5', '01.05.2022', '1705.080000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '5', '5', '01.05.2022', '1421.040000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '4', '5', '01.05.2022', '1325.580000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '3', '5', '01.05.2022', '1231.720000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '2', '5', '01.05.2022', '1107.650000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '1', '5', '01.05.2022', '947.300000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

COMMIT WORK;



---- Contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '7Q', '13', '01.05.2022', '534.280000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '7', '13', '01.05.2022', '534.280000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '6', '13', '01.05.2022', '529.110000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '5', '13', '01.05.2022', '522.920000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '4', '13', '01.05.2022', '520.120000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '3', '13', '01.05.2022', '517.850000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '2', '13', '01.05.2022', '515.270000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '1', '13', '01.05.2022', '512.580000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

COMMIT WORK;



---- EDR

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '7Q', '7', '01.05.2022', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '7', '7', '01.05.2022', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '6', '7', '01.05.2022', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '5', '7', '01.05.2022', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '4', '7', '01.05.2022', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '3', '7', '01.05.2022', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '2', '7', '01.05.2022', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '1', '7', '01.05.2022', '10.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

COMMIT WORK;



---- Indennità di funzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('18', '7Q', '14', '01.05.2022', '140.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.05.2022');

COMMIT WORK;



---- Fix scatto caricato errato nel 2021

UPDATE CONTRATTOSCATTO SET IMPORTO = '15.920000' WHERE IDCONTRATTODETTAGLIO = '18' AND IDSCATTO = '2';

COMMIT WORK;



-- END Aggiornamento dettaglio 18



-- Aggiornamento dettaglio 112 (decorrenza 01/12/2021)

---- Richiesto da Rossi Service (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12792)

---- Il documento con i contratti da aggiornare lo ha inviato a info@iubar.it



---- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', 'A', '5', '01.12.2021', '1700.810000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', 'B', '5', '01.12.2021', '1535.820000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '1', '5', '01.12.2021', '1390.920000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '2', '5', '01.12.2021', '1226.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '3', '5', '01.12.2021', '1126.940000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '4', '5', '01.12.2021', '1034.390000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '5', '5', '01.12.2021', '936.870000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '6S', '5', '01.12.2021', '880.670000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '6', '5', '01.12.2021', '860.120000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '7', '5', '01.12.2021', '772.120000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

COMMIT WORK;



---- Contingenza

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', 'A', '13', '01.12.2021', '542.190000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', 'B', '13', '01.12.2021', '537.120000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '1', '13', '01.12.2021', '536.240000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '2', '13', '01.12.2021', '531.200000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '3', '13', '01.12.2021', '527.910000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '4', '13', '01.12.2021', '524.640000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '5', '13', '01.12.2021', '522.090000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '6S', '13', '01.12.2021', '520.380000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '6', '13', '01.12.2021', '520.250000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', '7', '13', '01.12.2021', '518.220000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

COMMIT WORK;



---- Indennità di funzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', 'A', '14', '01.12.2021', '75.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('112', 'B', '14', '01.12.2021', '70.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2021');

COMMIT WORK;



-- END Aggiornamento dettaglio 112



-- Aggiornamento dettaglio 88 (decorrenza 01/10/2022)

---- Richiesto da Rossi Service (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12792)

---- Il documento con i contratti da aggiornare lo ha inviato a info@iubar.it



-- Livelli non presenti

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('88', 'L', NULL, '151', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('88', 'L7-15', 'L (7-15 mesi)', '151', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('88', 'L0-6', 'L (0-6 mesi)', '151', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('88', 'I', NULL, '151', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('88', 'I0-6', 'I (0-6 mesi)', '151', NULL, NULL, NULL, NULL);



---- Minimo contrattuale

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'Q', '5', '01.10.2022', '2297.870000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '1', '5', '01.10.2022', '2157.980000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '2', '5', '01.10.2022', '1982.460000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '3S', '5', '01.10.2022', '1790.370000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '3', '5', '01.10.2022', '1742.300000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '4', '5', '01.10.2022', '1657.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '4J', '5', '01.10.2022', '1613.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '5', '5', '01.10.2022', '1580.120000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '6', '5', '01.10.2022', '1476.760000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', '6J', '5', '01.10.2022', '1358.470000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'C3', '5', '01.10.2022', '1790.930000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'B3', '5', '01.10.2022', '1790.370000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'A3', '5', '01.10.2022', '1789.810000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'F2', '5', '01.10.2022', '1742.890000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'E2', '5', '01.10.2022', '1742.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'D2', '5', '01.10.2022', '1741.780000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'H1', '5', '01.10.2022', '1688.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'G1', '5', '01.10.2022', '1681.580000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'L', '5', '01.10.2022', '1601.920000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'L7-15', '5', '01.10.2022', '1561.520000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'L0-6', '5', '01.10.2022', '1480.760000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'I', '5', '01.10.2022', '1561.520000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'I0-6', '5', '01.10.2022', '1480.760000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK;



---- Indennità di funzione

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('88', 'Q', '14', '01.10.2022', '51.650000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK;



---- Scatti mancanti

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '9', '4J', NULL, NULL, NULL, NULL, '24', '22.340000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '10', '6J', NULL, NULL, NULL, NULL, '24', '18.780000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '11', 'C3', NULL, NULL, NULL, NULL, '24', '24.790000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '12', 'B3', NULL, NULL, NULL, NULL, '24', '24.790000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '13', 'A3', NULL, NULL, NULL, NULL, '24', '24.790000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '14', 'F2', NULL, NULL, NULL, NULL, '24', '24.270000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '15', 'E2', NULL, NULL, NULL, NULL, '24', '24.270000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '16', 'D2', NULL, NULL, NULL, NULL, '24', '24.270000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '17', 'H1', NULL, NULL, NULL, NULL, '24', '23.240000', NULL, NULL, NULL, '');

INSERT INTO CONTRATTOSCATTO (IDCONTRATTODETTAGLIO, IDSCATTO, IDLIVELLO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, IDANZIANITA, SCATTINUMERO, SCATTIMESI, IMPORTO, IDBASEIMPONIBILE, PERCENTUALE, VALIDODAL, NOTE) VALUES ('88', '18', 'G1', NULL, NULL, NULL, NULL, '24', '23.240000', NULL, NULL, NULL, '');

COMMIT WORK;



-- END Aggiornamento dettaglio 88



ALTER TABLE ContrattoApprendistato ADD Importo CURRENCY;

COMMIT WORK;



-- Aggiornamento dettaglio 21

---- Richiesto da Stampacchia (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12782)



---- Ottobre 2022

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '6S', '5', '01.10.2022', '1846.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '6', '5', '01.10.2022', '1742.330000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '5', '5', '01.10.2022', '1585.420000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '4', '5', '01.10.2022', '1463.300000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '3', '5', '01.10.2022', '1403.160000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '2', '5', '01.10.2022', '1345.260000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '1', '5', '01.10.2022', '1272.400000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.10.2022');

COMMIT WORK; -- skip error



---- Dicembre 2022

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '6S', '5', '01.12.2022', '1887.420000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '6', '5', '01.12.2022', '1780.530000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '5', '5', '01.12.2022', '1620.270000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '4', '5', '01.12.2022', '1495.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '3', '5', '01.12.2022', '1433.830000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '2', '5', '01.12.2022', '1374.810000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

COMMIT WORK; -- skip error

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('21', '1', '5', '01.12.2022', '1300.280000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

COMMIT WORK; -- skip error



-- END Aggiornamento dettaglio 21



-- Inserimento dettaglio 416

---- Richiesta da Rossi Service

---- Il documento con il contratto da inserire lo ha inviato a info@iubar.it



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER, CUSTOM) VALUES ('416', '116', '4', 'Metalmeccanica - ANPIT - CISAL', NULL, NULL, NULL, '6', '-1', NULL, '0', '250.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0');

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('416', '5', NULL, '116', '1', '1', '1', NULL, '1', NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('416', '1', '1', '0', NULL);

INSERT INTO CONTRATTORATEO (IDCONTRATTODETTAGLIO, IDRATEO, IDCOEFFICIENTE, IDTIPOLAVORATORE2, NOTA) VALUES ('416', '2', '2', '0', NULL);

COMMIT WORK;



INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('416', '1', '1', NULL, '1', '4', '14.660000');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('416', '1', '4', NULL, '1', '4', '2.666670');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('416', '2', '1', NULL, '1', '4', '14.660000');

INSERT INTO CONTRATTORATEOVALORE (IDCONTRATTODETTAGLIO, IDRATEO, IDTIPORATEO, IDANZIANITA, IDUNITAMISURA, IDUNITAMISURA2, VALORE) VALUES ('416', '2', '4', NULL, '1', '4', '2.666670');

COMMIT WORK;



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('416', '1', 'Per la generalità dei lavoratori', '26.00', '173.00', '5.00', '40.00', NULL, NULL, '0', '13', NULL, NULL, '13000', 'per la generalità dei lavoratori', '05.08.2008, 11:35:13.000', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('416', '2', NULL, '26.00', '195.00', '6.00', '45.00', NULL, NULL, '0', '13', NULL, NULL, '13000', 'per la generalità dei lavoratori', '05.08.2008, 11:35:13.000', NULL);

COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', '1', 'Dirigente', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', '2', 'Quadro', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', 'A1', 'A1', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', 'A2', 'A2', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', 'B1', 'B1', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', '3', 'Viaggiatore 1', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', 'B2', 'B2', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', 'C1', 'C1', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', '4', 'Viaggiatore 2', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', 'C2', 'C2', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', '5', 'Viaggiatore 3', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', '6', 'Viaggiatore 4', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', 'D1', 'D1', '116', NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('416', 'D2', 'D2', '116', NULL, NULL, NULL, '01.12.2022');

COMMIT WORK;



---- Giugno 2021

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '1', '5', '01.06.2021', '3400.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '2', '5', '01.06.2021', '2125.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'A1', '5', '01.06.2021', '1929.500000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'A2', '5', '01.06.2021', '1717.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'B1', '5', '01.06.2021', '1547.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '3', '5', '01.06.2021', '1406.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'B2', '5', '01.06.2021', '1360.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'C1', '5', '01.06.2021', '1241.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '4', '5', '01.06.2021', '1236.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'C2', '5', '01.06.2021', '1173.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '5', '5', '01.06.2021', '1128.180000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '6', '5', '01.06.2021', '1066.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'D1', '5', '01.06.2021', '1020.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'D2', '5', '01.06.2021', '935.000000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.06.2021');

COMMIT WORK;



---- Dicembre 2022

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '1', '5', '01.12.2022', '3640.980000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '2', '5', '01.12.2022', '2275.610000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'A1', '5', '01.12.2022', '2066.250000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'A2', '5', '01.12.2022', '1838.690000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'B1', '5', '01.12.2022', '1656.640000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '3', '5', '01.12.2022', '1505.040000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'B2', '5', '01.12.2022', '1456.390000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'C1', '5', '01.12.2022', '1328.960000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '4', '5', '01.12.2022', '1323.110000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'C2', '5', '01.12.2022', '1256.140000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '5', '5', '01.12.2022', '1141.180000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', '6', '5', '01.12.2022', '1128.180000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'D1', '5', '01.12.2022', '1092.290000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('416', 'D2', '5', '01.12.2022', '1001.270000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.12.2022');

COMMIT WORK;



---- Apprendistato

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'A1', 'APPB', '1', '18', NULL, '1656.640000', 'Apprendistato Profess. A1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'A1', 'APPB', '19', '36', NULL, '1838.690000', 'Apprendistato Profess. A1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'A2', 'APPB', '1', '18', NULL, '1456.390000', 'Apprendistato Profess. A2');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'A2', 'APPB', '19', '36', NULL, '1656.640000', 'Apprendistato Profess. A2');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'B1', 'APPB', '1', '18', NULL, '1328.960000', 'Apprendistato Profess. B1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'B1', 'APPB', '19', '36', NULL, '1456.390000', 'Apprendistato Profess. B1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'B2', 'APPB', '1', '18', NULL, '1256.140000', 'Apprendistato Profess. B2');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'B2', 'APPB', '19', '36', NULL, '1328.960000', 'Apprendistato Profess. B2');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'C1', 'APPB', '1', '16', NULL, '1092.290000', 'Apprendistato Profess. C1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'C1', 'APPB', '17', '32', NULL, '1256.140000', 'Apprendistato Profess. C1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'C2', 'APPB', '1', '15', NULL, '1001.270000', 'Apprendistato Profess. C2');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'C2', 'APPB', '16', '30', NULL, '1092.290000', 'Apprendistato Profess. C2');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'D1', 'APPB', '1', '14', NULL, '801.020000', 'Apprendistato Profess. D1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', 'D1', 'APPB', '15', '28', NULL, '901.140000', 'Apprendistato Profess. D1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', '3', 'APPB', '1', '18', NULL, '1128.180000', 'Apprendistato Profess Op. vendita 1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', '3', 'APPB', '19', '36', NULL, '1323.110000', 'Apprendistato Profess.. Op. vendita 1');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', '4', 'APPB', '1', '18', NULL, '1141.180000', 'Apprendistato Profess. Op. vendita 2');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', '4', 'APPB', '19', '36', NULL, '1128.180000', 'Apprendistato Profess.  Op. vendita 2');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', '5', 'APPB', '1', '16', NULL, '912.940000', 'Apprendistato Profess. Op. vendita 3');

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, IMPORTO, DESCRIZIONE) VALUES ('416', '5', 'APPB', '17', '32', NULL, '1027.060000', 'Apprendistato Profess. Op. vendita 3');

COMMIT WORK;



-- END Inserimento dettaglio 416



-- Limite imponibile decontribuzione



ALTER TABLE INPS_ALIQUOTAADDIZ ADD LimiteImponibile CURRENCY;

COMMIT WORK;



UPDATE INPS_ALIQUOTAADDIZ SET LimiteImponibile = '2692.000000' WHERE IDALIQUOTAADDIZ IN (2, 3);

COMMIT WORK;



-- END Limite imponibile decontribuzione



ALTER TABLE CEDOLINO_ELEMENTO ADD Elaborato BOOLEANINT;

COMMIT WORK;



-- Modifica lungezza campo

---- TODO: Riportare SOLO su casestudio



ALTER TABLE DMAG_TIPORETRIBUZIONE2 ALTER DESCRIZIONE TYPE Varchar(500);

COMMIT WORK;



-- END Modifica lungezza campo



-- Aggiornamento Uniemens



---- 4.16.5



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L123', 'Conguaglio ANF art. 1, comma 212, della legge 234/2021- Assegno di integrazione salariale per contratto di solidarietà. Utilizzabile a seguito di emanazione di apposito messaggio o circolare.', NULL, NULL, '2', NULL, NULL);

COMMIT WORK;



INSERT INTO DR_CAUSALEADEBITO (IDCAUSALEADEBITO, DESCRIZIONE) VALUES ('M038', 'Versamento contributo CISOA anno 2022. (Utilizzabile a seguito di emanazione di apposito messaggio o circolare)');

COMMIT WORK;



INSERT INTO TIPOVARRETR (IDTIPOVARRETR, DESCRIZIONE) VALUES ('FRIBEN', 'Significato: indica che l’imponibile del mese della denuncia originaria sul quale deve agire la variabile retributiva deve essere diminuito del valore indicato, in conseguenza del fringe benefit. Utilizzo: può essere utilizzata solamente nel mese di dicembre 2022. Ai fini del conto assicurativo individuale, determina la diminuzione dell’imponibile della denuncia originaria, a partire da quella con decorrenza “2022-01”, di un importo del fringe benefit indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un recupero contributivo sulla denuncia corrente pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>. Si ricorda che l’imponibile originario della competenza specifica deve essere maggiore uguale all’importo presente in <ImponibileVarRetr>. Messaggio n. 4616/2022.');

INSERT INTO TIPOVARRETR (IDTIPOVARRETR, DESCRIZIONE) VALUES ('FRBDIM', 'Significato: indica che l’imponibile eccedente il massimale del mese della denuncia originaria sul quale deve agire la variabile retributiva deve essere diminuito del valore indicato, in conseguenza del fringe benefit. Utilizzo: può essere utilizzata solamente nel mese di dicembre 2022. Determina la diminuzione dell’imponibile eccedente il massimale di un importo del fringe benefit indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un recupero contributivo sulla denuncia corrente pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>. Se evidenzia che: • se l’eccedenza massimale presente per la competenza <AnnoMeseVarRetr> è maggiore uguale dell’importo del fringe benefit per la medesima competenza, va utilizzata esclusivamente tale variabile retributiva, senza utilizzare la variabile FRIBEN, per abbattere l’importo del fringe benefit; • se l’eccedenza massimale presente per la competenza <AnnoMeseVarRetr> è minore dell’importo del fringe benefit per la medesima competenza, si utilizza tale variabile per annullare l’eccedenza massimale e la variabile FRIBEN per abbattere la parte restante dell’importo del fringe benefit, con la considerazione riportata nella nota del punto precedente. Messaggio n. 4616/2022.');

INSERT INTO TIPOVARRETR (IDTIPOVARRETR, DESCRIZIONE) VALUES ('FRBMAS', 'Significato: permette di riportare parte dell’eccedenza massimale, presente nelle denunce di competenze successive a quelle interessate dai fringe benefit, nell’imponibile, per effetto della diminuzione degli imponibili delle competenze precedenti. Utilizzo: può essere utilizzata solamente nel mese di dicembre 2022. Ai fini del conto assicurativo individuale, determina l’aumento dell’imponibile della denuncia originaria e la corrispondente diminuzione dell’imponibile eccedente il massimale, in funzione di quanto indicato nell’elemento <ImponibileVarRetr>. Ai fini del titolo contributivo, determina un ulteriore versamento della sola quota IVS, pari all’importo indicato nell’elemento <ContributoVarRetr>. Devono quindi essere compilati entrambi gli elementi <ImponibileVarRetr> e <ContributoVarRetr>. Messaggio n. 4616/2022.');

COMMIT WORK;



INSERT INTO DA_CAUSALEACREDITO (IDCAUSALEACREDITO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('L238', 'Conguaglio esonero contributivo parità di genere articolo 5 legge n.162/2021. Circolare n. 137/2022.', NULL, NULL);

INSERT INTO DA_CAUSALEACREDITO (IDCAUSALEACREDITO, DESCRIZIONE, VALIDODAL, VALIDOAL) VALUES ('L239', 'Arretrato conguaglio esonero contributivo parità di genere articolo 5 legge n.162/2021. Circolare n. 137/2022.', NULL, NULL);

COMMIT WORK;



INSERT INTO PA_TIPOCESSAZIONE (IDPATIPOCESSAZIONE, DESCRIZIONE) VALUES ('55', 'Sospensione lavoro utile per servizio all’estero');

INSERT INTO PA_TIPOCESSAZIONE (IDPATIPOCESSAZIONE, DESCRIZIONE) VALUES ('56', 'Cessazione per decadenza (art. 127 dpr n. 3 del 1957)');

COMMIT WORK;



INSERT INTO PA_TIPOCONGUAGLIO (IDTIPOCONGUAGLIO, DESCRIZIONE) VALUES ('2', 'Conguaglio esonero contributivo parità di genere articolo 5 legge n.162/2021. Circolare n. 137/2022.');

INSERT INTO PA_TIPOCONGUAGLIO (IDTIPOCONGUAGLIO, DESCRIZIONE) VALUES ('3', 'Arretrato Conguaglio esonero contributivo parità di genere articolo 5 legge n.162/2021. Circolare n. 137/2022.');

COMMIT WORK;



INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('45', 'Esonero Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197. Utilizzabile a seguito di emanazione della relativa circolare.');

INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('46', 'Esonero Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197 Importo 13. Utilizzabile a seguito di emanazione della relativa circolare.');

INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('47', 'Esonero Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197 Importo Rateo 13. Utilizzabile a seguito di emanazione della relativa circolare.');

COMMIT WORK;



UPDATE PA_TIPORECUPERO SET DESCRIZIONE = 'Esonero articolo 20 del decreto-legge n. 155/2022. Messaggio n. 3499/2022. Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197. Circolare in corso di emanazione.' WHERE IDTIPORECUPERO = '38';

UPDATE PA_TIPORECUPERO SET DESCRIZIONE = 'Esonero articolo 20 del decreto-legge n. 155/2022-Importo 13. Messaggio n. 3499/2022. Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197 - Importo 13. Circolare in corso di emanazione.' WHERE IDTIPORECUPERO = '39';

UPDATE PA_TIPORECUPERO SET DESCRIZIONE = 'Esonero articolo 20 del decreto-legge n. 155/2022-Importo Rateo 13. Messaggio n. 3499/2022. Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197 - Importo Rateo 13. Circolare in corso di emanazione.' WHERE IDTIPORECUPERO = '40';

COMMIT WORK;



UPDATE DMAG_TIPORETRIBUZIONE2 SET DESCRIZIONE = 'Esonero quota di contributi previdenziali IVS a carico dei lavoratori Art. 1, comma 121, Legge 30 dicembre 2021, n. 234. Circ. n. 43/2022. Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197. Circolare in corso di emanazione.' WHERE IDTIPORETRIBUZIONE2 = '7';

UPDATE DMAG_TIPORETRIBUZIONE2 SET DESCRIZIONE = 'Esonero quota di contributi previdenziali IVS a carico dei lavoratori Art. 1, comma 121, Legge 30 dicembre 2021, n. 234 - rateo tredicesima mensilità. Circ. n. 43/2022. Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197. Circolare in corso di emanazione.' WHERE IDTIPORETRIBUZIONE2 = '8';

UPDATE DMAG_TIPORETRIBUZIONE2 SET DESCRIZIONE = 'Esonero quota di contributi previdenziali IVS a carico dei lavoratori Art. 1, comma 121, Legge 30 dicembre 2021, n. 234 - tredicesima mensilità. Circ. n. 43/2022. Articolo 1, comma 281, della legge 29 dicembre 2022, n. 197. Circolare in corso di emanazione.' WHERE IDTIPORETRIBUZIONE2 = '9';

COMMIT WORK;



-- 4.16.6



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L098', 'Esonero quota di contributi previdenziali IVS a carico dei lavoratori art 1, comma 281, della legge 29 dicembre 2022, n. 197. Utilizzabile a seguito di pubblicazione della relativa circolare.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L099', 'Esonero quota di contributi previdenziali IVS a carico dei lavoratori art 1, comma 281, della legge 29 dicembre 2022, n. 197 - tredicesima mensilità. Utilizzabile a seguito di pubblicazione della relativa circolare.', NULL, NULL, '2', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L100', 'Esonero quota di contributi previdenziali IVS a carico dei lavoratori art 1, comma 281, della legge 29 dicembre 2022, n. 197 - rateo tredicesima mensilità. Utilizzabile a seguito di pubblicazione della relativa circolare.', NULL, NULL, '2', NULL, NULL);

COMMIT WORK;



-- END Aggiornamento Uniemens



-- Classe previdenziale edilizia

---- Richiesta da FK audit (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12838)

INSERT INTO INPS_ALIQUOTAAREA (IDAREA, IDGRUPPO, DESCRIZIONE, INPSTABELLA, ULTIMAMODIFICA, ESONERO, NOTE) VALUES ('284', '7', 'Edilizia - Industria', NULL, NULL, NULL, NULL);

COMMIT WORK;



INSERT INTO INPS_ALIQUOTAAREA_LAVORATORE (IDALIQUOTATIPOLAV, IDAREA) VALUES ('2', '284');

INSERT INTO INPS_ALIQUOTAAREA_LAVORATORE (IDALIQUOTATIPOLAV, IDAREA) VALUES ('48', '284');

COMMIT WORK;



-- END Classe previdenziale edilizia



UPDATE CEDOLINO_ELEMENTO SET ELABORATO = 1;

COMMIT WORK;



-- Aggiornamento dettaglio 109

---- Richiesto da Stampacchia (http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=12843)



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'A', '5', '01.01.2023', '5.270000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.01.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'AS', '5', '01.01.2023', '6.210000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.01.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'B', '5', '01.01.2023', '6.580000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.01.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'BS', '5', '01.01.2023', '6.990000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.01.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'C', '5', '01.01.2023', '7.380000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.01.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'CS', '5', '01.01.2023', '7.790000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.01.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'D', '5', '01.01.2023', '8.980000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.01.2023');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('109', 'DS', '5', '01.01.2023', '9.360000', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '01.01.2023');

COMMIT WORK;



-- END Aggiornamento dettaglio 109



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                              ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS





SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- SQL CODE HERE



ALTER TABLE UTENTE DROP CONSTRAINT INTEG_40;

COMMIT WORK;

UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = NULL WHERE RDB$FIELD_NAME = 'IDRUOLO' AND RDB$RELATION_NAME = 'UTENTE';

COMMIT WORK;



ALTER TABLE UTENTE DROP CONSTRAINT INTEG_39;

COMMIT WORK;

UPDATE RDB$RELATION_FIELDS SET RDB$NULL_FLAG = NULL WHERE RDB$FIELD_NAME = 'IDANAGRAFICA' AND RDB$RELATION_NAME = 'UTENTE';

COMMIT WORK;



Create Table Utente_Impresa  (

	Username Varchar(50) NOT NULL,

	IdImpresa Integer NOT NULL,

Constraint pk_Utente_Impresa Primary Key (Username,IdImpresa)

);

COMMIT WORK;

Alter Table Utente_Impresa add Constraint Relationship435 Foreign Key (Username) references Utente (Username) on update no action on delete no action ;

Alter Table Utente_Impresa add Constraint Relationship436 Foreign Key (IdImpresa) references Impresa (IdImpresa) on update no action on delete no action ;

COMMIT WORK;



---- TODO: Riportare SOLO su casestudio

ALTER TABLE UTENTE ALTER PWDHASH TYPE Varchar(500);

COMMIT WORK;



SET ECHO ON; -- noqa: PRS





/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS